
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>从MySQL的源码剖析Innodb buffer的命中率计算_Mysql / iVAN</title>

    <meta name="description" content="从MySQL的源码剖析Innodb buffer的命中率计算_Mysql 按官方手册推荐Innodb buffer Hit Ratios的计算是:   100-((iReads / iReadRequests)*100) iReads : mysql-&gt;status-&gt;Innodb_buffer_pool_reads iReadRequests: mysql-&gt;status-&gt;Innodb_buffer_pool_read_requests 出处: http://dev.mysql.com/doc/mysql-monitor/2.0/en/me ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">从MySQL的源码剖析Innodb buffer的命中率计算_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>按官方手册推荐Innodb buffer Hit Ratios的计算是:<br />
 </p>
<pre>
100-((iReads / iReadRequests)*100)
iReads : mysql-&gt;status-&gt;Innodb_buffer_pool_reads
iReadRequests: mysql-&gt;status-&gt;Innodb_buffer_pool_read_requests
</pre>
<p>出处: http://dev.mysql.com/doc/mysql-monitor/2.0/en/mem_graphref.html<br />
搜”Hit Ratios”<br />
推荐有兴趣的同学把这个页面都看一下应该也会有很大收获.<br />
另外在hackmysql: www.hackmysql.com网站上的: mysqlsqlreport中关于buffer命中计算是:</p>
<p> </p>
<pre>
$ib_bp_read_ratio = sprintf "%.2f",
($stats{'Innodb_buffer_pool_read_requests'} ?
100 - ($stats{'Innodb_buffer_pool_reads'} /
$stats{'Innodb_buffer_pool_read_requests'}) * 100 :0);
</pre>
<p>即: </p>
<pre>
ib_bp_hit=100-(Innodb_buffer_pool_reads/Innodb_buffer_pool_read_requests)*100
</pre>
<p>另外我们知道查看Innodb Buffer Hit Ratios的地方是:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>show engine innodb status\G;</p>
<p>Buffer pool hit rate : XXXX/1000;<br />
那个XXX/1000即是buffer pool hit ratios的命中.<br />
这样也可以从代码里看一下这个bp命中计算:</p>
<pre>
storage/innobase/buf/buf0buf.c # void buf_print_io
storage/innodbase/include/buf0buf.h #struct buf_block_struct
</pre>
<p>在buf0buf.c 中的buf_print_io函数中可以看到:<br />
 </p>
<pre>
void
buf_print_io(
…

if (buf_pool-&gt;n_page_gets &gt; buf_pool-&gt;n_page_gets_old) {
fprintf(file, "Buffer pool hit rate %lu / 1000\n",
(ulong)
(1000 - ((1000 * (buf_pool-&gt;n_pages_read
- buf_pool-&gt;n_pages_read_old))
/ (buf_pool-&gt;n_page_gets
- buf_pool-&gt;n_page_gets_old))));
} else {
fputs("No buffer pool page gets since the last printout\n",
file);
}

buf_pool-&gt;n_page_gets_old = buf_pool-&gt;n_page_gets;
buf_pool-&gt;n_pages_read_old = buf_pool-&gt;n_pages_read;
…
}
</pre>
<p>结合:<br />
storage\innobase\include\buf0buf.h中</p>
<pre>
struct buf_block_struct{
…
ulint n_pages_read; /* number read operations */
…
ulint n_page_gets; /* number of page gets performed;
also successful searches through
the adaptive hash index are
counted as page gets; this field
is NOT protected by the buffer
pool mutex */
…
ulint n_page_gets_old;/* n_page_gets when buf_print was
last time called: used to calculate
hit rate */
…
ulint n_pages_read_old;/* n_pages_read when buf_print was
last time called */
…
</pre>
<p> </p>
<p>从这个来看innodb buffer hit Ratios的命中计算需要本次取的值和上次值做一个减法公式应该为</p>
<pre>
ib_bp_hit=1000 – (t2.iReads – t1.iReads)/(t2.iReadRequest – t1.iReadRequest)*1000
</pre>
<p>t(n): 时间点 两个时间间隔最少是30秒以上,在小意义不大.</p>
<pre>
iReads: Innodb_buffer_pool_reads
iReadRequest: Innodb_buffer_pool_read_requests
</pre>
<p>对innodb的输出参数有兴趣的可以关注: storage/innobase/buf/Srv0srv.c 中的:</p>
<pre>
void srv_export_innodb_status()
</pre>
<p><strong>思考:<br /></strong>对于innodb_buffer_pool_read_requests, innodb_buffer_pool_reads这种累加值,当很大时进行: innodb_buffer_pool_reads/innodb_buffer_pool_read_requests 相来讲只能得到从开始到现在的命中率的表现了. 如果想得到现在近五分钟,近一分钟或是8点到9点每分钟的命中率情况,如果还是按着innodb_buffer_pool_reads/innodb_buffer_pool_read_requests 进行计算,只能得到mysqld开起累计在8点-9点的每分钟的累计平均命中情况.<br />
所以如果想到每(五)分钟的命中情况,就需要本次取得的值和一(五)分钟前的值进行相减,然后进行运算.这样才能得到一个当下的bp命中情况.<br />
两种方法没实质的对错的问题,但相对于源码中的那种计算方式更容让发现数据库的抖动问题.</p>
<p><strong>能解决的问题:<br /></strong>偶而的数据库性能抖动能直观的反应出来.</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索mysql<br />
                                    innodb缓冲池命中率、innodb命中率太低、innodb buffer pool、innodb buffer usage、innodb buffer，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 16:39:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>从MySQL的源码剖析Innodb buffer的命中率计算_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE1Vyb.html" rel="bookmark">mysql dba系统学习（2）了解mysql的源码目录及源文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				了解mysql的源码目录 包括客户端代码,服务端代码,测试工具和其他库文件 Mysql源码结构 Bdb 伯克利DB表引擎 BUILD 构建工程的脚本 Client 客户端 Cmd-line-utils 命令行工具 Config 构建工程所需的一些文件 Dbug Fred Fish的调试库 Docs 文档文件夹 Extra 一些相对独立的次要的工具 Heap HEAP表引擎 Include 头文件 Innobase INNODB表引擎 Libmysql 动态库 Libmysql_r 为了构建线程安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWR5vz.html" rel="bookmark">Mongoose源码剖析：核心处理模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 前面我们介绍了 Mongoose所有的几个主要的数据结构mg_context.mg_connection.mg_request_info,还有Mongoose的 生命主线.有了这些基础就可以来看看Mongoose的核心处理工作是怎样的.如果你还没有阅读前面的文章,你可以通过下面的隧道直通: Mongoose源码剖析:外篇之web服务器 Mongoose源码剖析:Introduction and Installation Mongoose源码剖析:数据结构篇 Mongoose源码剖析:mon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKY9lWp.html" rel="bookmark">《GDAL源码剖析与开发指南》一一1&period;6 GDAL编译</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 GDAL编译 GDAL源码剖析与开发指南 GDAL的编译分为三个小节,第一节是常规编译,使用微软的Visual Studio 2008进行编译,如果用微软的其他编译器,编译过程与此类似.需要注意的是,GDAL已经不再支持Visual C++6.0编译器.第二小节主要说明怎样修改GDAL的配置文件,以使GDAL支持更多的数据格式以及算法等.第三小节对编译GDAL的64位版本进行说明. 1.6.1 常规编译 1．使用Visual Studio 2008 IDE编译 在GDAL的源代码目录中,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6Z6LM.html" rel="bookmark">Mongoose源码剖析：外篇之web服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 在深入Mongoose源码剖析之前,我们应该清楚web服务器是什么?它提供什么服务?怎样提供服务?使用什么协议?客户端如何唯一标识web服务器的资源?下面我们抛开Mongoose,来介绍一个web服务的这些通性. web服务器:通常是指一个计算机程序(web服务器是什么?),在World Wide Web上提供诸如web页面的服务(提供什么服务?),使用HyperText Transfer Protocol(HTTP)(使用什么协议?).当然web服务器也可以指运行这个程序的计算机或虚拟机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQdrGz.html" rel="bookmark">PHP写内容分页源码剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所谓内容分页,就是根据你自己设定的标签,将较长的内容按你设置的标签来进行分页,本文涉及的两个地方,一个是地址的获取,网上有很多这样的分页教程,但是地址都是固定的,如果页面中有评论分页以及文章ID调用过来,就会非常麻烦,文中采用了PHP100视频教程中分页原理 (http://www.php100.com/html/shipinjiaocheng/PHP100shipinjiaocheng/2009/0416/807.html) 思路,有不清楚的童鞋可以看下此教程,同时运用了一些内容处理函数以及数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw6Kmp.html" rel="bookmark">Java集合源码剖析：TreeMap源码剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本文不打算延续前几篇的风格(对所有的源码加入注释),因为要理解透TreeMap的所有源码,对博主来说,确实需要耗费大量的时间和经历,目前看来不大可能有这么多时间的投入,故这里意在通过于阅读源码对TreeMap有个宏观上的把握,并就其中一些方法的实现做比较深入的分析. 红黑树简介 TreeMap是基于红黑树实现的,这里只对红黑树做个简单的介绍,红黑树是一种特殊的二叉排序树,关于二叉排序树,参见:http://blog.csdn.net/ns_code/article/details/1982			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZy2kp.html" rel="bookmark">Java集合源码剖析：Hashtable源码剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hashtable简介 Hashtable同样是基于哈希表实现的,同样每个元素是一个key-value对,其内部也是通过单链表解决冲突问题,容量不足(超过了阀值)时,同样会自动增长. Hashtable也是JDK1.0引入的类,是线程安全的,能用于多线程环境中. Hashtable同样实现了Serializable接口,它支持序列化,实现了Cloneable接口,能被克隆. HashTable源码剖析 Hashtable的源码的很多实现都与HashMap差不多,源码如下(加入了比较详细的注释):			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBvk4b.html" rel="bookmark">Java集合源码剖析：HashMap源码剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HashMap简介 HashMap是基于哈希表实现的,每一个元素是一个key-value对,其内部通过单链表解决冲突问题,容量不足(超过了阀值)时,同样会自动增长. HashMap是非线程安全的,只是用于单线程环境下,多线程环境下可以采用concurrent并发包下的concurrentHashMap. HashMap 实现了Serializable接口,因此它支持序列化,实现了Cloneable接口,能被克隆. HashMap源码剖析 HashMap的源码如下(加入了比较详细的注释): pac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRk13p.html" rel="bookmark">Java集合源码剖析：Vector源码剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Vector简介 Vector也是基于数组实现的,是一个动态数组,其容量能自动增长. LinkedList是JDK1.0引入了,它的很多实现方法都加入了同步语句,因此是线程安全的(其实也只是相对安全,有些时候还是要加入同步语句来保证线程的安全),可以用于多线程环境. LinkedList没有丝线Serializable接口,因此它不支持序列化,实现了Cloneable接口,能被克隆,实现了RandomAccess接口,支持快速随机访问. Vector源码剖析 Vector的源码如下(加入了比较详			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM62XgM.html" rel="bookmark" class="title">sharepoint环境安装过程中几点需要注意的地方</a>
					<div>
						写在前面 上篇文章也说明了,在安装sharepoint环境的时候,确实吃了不少苦头,这里纪录一下安装过程中遇到的几个问题. 安装环境 windows server 2012 r2 standard x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgRY3b.html" rel="bookmark" class="title">VC&plus;&plus; 6&period;0 单步调试【写给自己看的调试总结帖】</a>
					<div>
						写给自己看的调试总结帖 参考一: 先将光标移动到你需要停止的地方,点击一下工具栏中的小手工具,这个时候左边会有一个红色的圆点出现,然后点击&quot;go F5&quot;工具.程序会开始运行,直到运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRK5Kp.html" rel="bookmark" class="title">利用twig架设WebMail系统&lpar;4&rpar;</a>
					<div>
						web 利用一组系统中已存在的帐号登入,你就可以看到下列的画面.twig 预设会有 主页 | 邮件 | 新闻 | 通讯簿 | 行程 | 会议 | 工作 | 笔记 | 书签 | 模块 | 说明 | 注销 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw0QBb.html" rel="bookmark" class="title">路由器常出现问题的维修指南</a>
					<div>
						  故障1:局域内有一部分计算机能上网 故障现象:局域网内只有一部分计算机能上网,另一部分不能上网. 故障原因:由于局域网内有一部分计算机可以上网,所以基本判定路由器硬件没问题.如果计算机确实没有问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badaoJz.html" rel="bookmark" class="title">怎么用ps制作下雨的效果</a>
					<div>
						  雨天总给人无尽的诗意和遐想,今天小编就教大家用ps制作充满诗意的下雨效果,不会的朋友赶紧过来围观吧! 用ps制作下雨的效果教程: 1.打开一张图片 2.在新建一个图层(右下角第二个) 然后填充为  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Q3mM.html" rel="bookmark" class="title">JavaScript拆分字符串时产生空字符怎么解决？</a>
					<div>
						  一.问题描述 使用JavaScript的split方法拆分字符串时出现一些空字符串&quot;&quot;,尤其是当使用正则表达式作为分隔符的时候.   二.相关问题 javascript正则表达 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBNV8z.html" rel="bookmark" class="title">WinXP系统下创建一键静音快捷方式的操作</a>
					<div>
						  小编经常使用电脑时发现,电脑右下角的喇叭按钮(音量图标)会无缘无关自己消失,有很多情况,可能会面临突发安静情况,我们都着急着静音,可是这时发现喇叭按钮不见了,那是的尴尬情况可想而知.或许有时,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg38e1M.html" rel="bookmark" class="title">为了获取&OpenCurlyDoubleQuote;大数据&rdquo;，战略投资爱站网</a>
					<div>
						摘要: 最开始知道蔡文胜投资爱站网的消息,是看到老郭在微信朋友圈发布的一条信息,后面看管鹏也有发,应该消息属实. 如图:5月30日老郭微信第一时间爆料,蔡文胜投资爱站的消息 消 最开始知道蔡文胜投资爱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA8OaM.html" rel="bookmark" class="title">mysql 数据库-启动mysql服务报ERROR&colon;1067错误</a>
					<div>
						问题描述 启动mysql服务报ERROR:1067错误 这里是日志: 2014-09-01T06:12:49.816554Z 0 [Note] Plugin 'FEDERATED' is disabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kvY3M.html" rel="bookmark" class="title">补天白帽大会&colon;建企业与白帽协同机制，全方位解决网络安全隐患</a>
					<div>
						2017年3月30日,国内外知名白帽.技术精英.安全爱好者,与国内网络安全主管机构.知名企业CISO因补天白帽大会在深圳首次齐聚一堂,共同解读当前网络安全形势和安全威胁. 本届大会由补天漏洞响应平台主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZrkob.html" rel="bookmark" class="title">大数据应用方向思考</a>
					<div>
						一. 警惕大数据过热 1.1 过热产生盲目性 国内大数据的宣传早已过热,很多区县级政府也在考虑成立大数据局,政府对大数据热几乎没有抵抗力,企业没有紧跟就对了,在大数据高潮中反省政府的大数据行为.冷静一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA9rGM.html" rel="bookmark" class="title">bug-急&comma;我用vs2013向导建立了一个默认程序&comma;但无论如何怎样修改资源里的程序快捷键&comma;都没用</a>
					<div>
						问题描述 急,我用vs2013向导建立了一个默认程序,但无论如何怎样修改资源里的程序快捷键,都没用 如题. 这个是什么回事呢? 本来打开程序是 CTRL+o ,打开一个文档,但我把这个快捷键改为 &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwljLM.html" rel="bookmark" class="title">c&plus;&plus;11-感觉C&plus;&plus;11的智能指针也不太好 没有dynamic&lowbar;cast</a>
					<div>
						问题描述 感觉C++11的智能指针也不太好 没有dynamic_cast 解决方案 &quot;&quot;智能指针&quot;&quot;,也就是对于一种过了气的的,没有垃圾回收的语言最后能做的一点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB12oJz.html" rel="bookmark" class="title">c&plus;&plus;-如何利用C&plus;&plus;来解析SQL语句中的select语句？</a>
					<div>
						问题描述 如何利用C++来解析SQL语句中的select语句? SELECT * FROM stu WHERE ((Name = &quot;Jack&quot;) AND ((Age &gt; 18 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgd6qb.html" rel="bookmark" class="title">tomcat启动报错</a>
					<div>
						myeclipse tomcat 启动报错,但是不影响访问. 解决问题: 各种查询,只看到相同的问题,没有发现有效的解决办法. 最后的解决是,更换了tomcat,使用了一个免安装的tomcat 8.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWqQWz.html" rel="bookmark" class="title">新手提问：我机器上安装了IBM Rational Systems Developer，还有Application Server V6&period;1 ，我想问一下，我怎么配置才能一边编码一边调试呢？</a>
					<div>
						问题描述 我机器上安装了IBMRationalSystemsDeveloper,还有ApplicationServerV6.1,我想问一下,我怎么配置才能一边编码一边调试呢?谢谢大家了,刚接触这块,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE45vPz.html" rel="bookmark" class="title">打造小规模方案 Scale为分支办公提供单节点HCI设备</a>
					<div>
						Scale方面表示,其负责为灾难恢复(简称DR)与分布式企业部署场景,即远程与分支办公环境(简称ROBO)提供复制与远程管理支持.这款产品的成本较普通HCIA部署方案更低,因为后者需要至少三个甚至更多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKeDjz.html" rel="bookmark" class="title">勒索病毒真相：黑客隐秘江湖暴利 倒卖信息最常见</a>
					<div>
						潘多拉的盒子被打开了.一时间,席卷全球的&quot;勒索病毒&quot;,让整个互联网行业如临大敌,并再次敲响了互联网安全行业的警钟. 而这背后,早已经形成了一条完整且成熟的网络黑产产业链.游走于地下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zjqaz.html" rel="bookmark" class="title">sql-数据库不同类型字段查询比较出错</a>
					<div>
						问题描述 数据库不同类型字段查询比较出错 支出表 zhichu 里面 有 总金额 zje 字段,是 varchar类型,存储的时候可以是数字也可以是 包含文字和数字的,如 大约100.200.99.另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDelKWb.html" rel="bookmark" class="title">未来物联网随时帮你抓小偷测血糖</a>
					<div>
						再过几年,古城金陵的居民可能过上这样的生活:一早还没起床,摸一下床边的控制屏,另一端的厨房里,咖啡机.吐司炉就开始工作,洗漱完,丰盛的早餐已可享用.甚至没人在家有小偷溜进来,你的手机马上能收到短信帮你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xRndb.html" rel="bookmark" class="title">ie11浏览器卸载不了怎么办&quest;ie11卸载不了解决办法</a>
					<div>
						ie11卸载不了 在安装IE11的过程中出现问题,或人为中断IE11安装,或在安装过程了某些系统优化软件对该过程进行了干扰,导致IE11虽然安装上了但却不完整,有可能无法正常打开IE,系统无法对IE1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgww43M.html" rel="bookmark" class="title">jquery操作checkbox示例分享&lowbar;jquery</a>
					<div>
						checkbox操作 1. 全选.全不选 2.打印所有的选中项目 &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgRkLM.html" rel="bookmark" class="title">codemirror-关于代码在线编辑的实现思想</a>
					<div>
						问题描述 关于代码在线编辑的实现思想 我使用的codemirror插件,我开始的思路是模仿w3c的那种界面, 但是我不是很清楚如何将提交的html显示出来,开始的想法是通过js获取编辑的内容然后 放到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNxkqM.html" rel="bookmark" class="title">SqlServer性能检测和优化工具使用详细</a>
					<div>
						原文:SqlServer性能检测和优化工具使用详细 工具概要         如果你的数据库应用系统中,存在有大量表,视图,索引,触发器,函数,存储过程,sql语句等等,又性能低下,而苦逼的你又要对其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JnDAz.html" rel="bookmark" class="title">mvc-spring整合struts2的优点</a>
					<div>
						问题描述 spring整合struts2的优点 spring有自己的mvc,为什么现在还是有很多公司选择spring整合struts2 解决方案 现在的很多公司由于用的struts早,所以会用stru ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0y8jp.html" rel="bookmark" class="title">baidu推广质量度优化指南之我见解</a>
					<div>
						质量度的概念 首先我们要了解百度推广中质量度的概念,质量度是关键词的一项属性,它是百度推广系统根据关键词的创意质量.点击率.账户结构.帐户历史表现等多种因素计 算得出的值.在帐户中,质量度大体来说分为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1gQOb.html" rel="bookmark" class="title">关于站长注意原创成为降权原凶</a>
					<div>
						第一,关键词要多元化.今天笔者主要和大家分享站外百度优化要把握的几点原则,现在来看第一点,关键词多元化.这里笔者想说明的是,无论是外连建设还是外连发布的过程中关键词尽量的选择多样化,比如,主关键词是内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8y7kb.html" rel="bookmark" class="title">Oracle 数据库不能启动提示&colon;ORA-00600&lbrack;17182&rsqb;&comma;ORA-00600&lbrack;25027&rsqb;&comma;ORA-00600&lbrack;kghfrempty&colon;ds&rsqb;处理</a>
					<div>
						数据库不能启动(或者启动后马上crash),alert日志报错ORA-00600[17182],ORA-00600[25027],ORA-00600[kghfrempty:ds]等错误 Tue Jul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW6RJz.html" rel="bookmark" class="title">各位大神，求帮助。webservice问题、、、</a>
					<div>
						问题描述 已有wsdl文件,想直接在ssh框架中生成webservice客户端,但是声称之后,调用报错.说是版本错误Exceptioninthread&quot;main&quot;java.lang ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm7Gyb.html" rel="bookmark" class="title">转：PyQt4学习资料汇总  from coderzh</a>
					<div>
						一个月前研究了下PyQt4,感觉比较不错.相比wxpython,界面美观了很多,并且将界面设计与代码逻辑很好的分离了开来.关于PyQt4的资料也不少,这里我将我找到的资料汇总一下,以防自己以后忘得一干 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
